[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TBaseJSONEnumerator.Current

Return the current value of the enumerator

## Declaration

Source position: fpjson.pp line 61

`public property TBaseJSONEnumerator.Current : TJSONEnum read GetCurrent;`

## Description

Current returns the current enumerator value of type TJSONEnum. It is only valid after MoveNext returned True.

## See also

TJSONEnum |  | JSON enumerator loop variable type
TJSONData |  | Base (abstract) object for all JSON based data types

Documentation generated on: Feb 26 2014